Package org.apache.struts2.conversion

# Class StrutsTypeConverterCreator

java.lang.Object
org.apache.struts2.conversion.StrutsTypeConverterCreator

All Implemented Interfaces:
  `TypeConverterCreator`

public class StrutsTypeConverterCreator extends Object implements TypeConverterCreator
Default implementation of `TypeConverterCreator`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StrutsTypeConverterCreator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TypeConverter`
  `createTypeConverter(Class<?> clazz)`
  Creates `TypeConverter` from given class
  `TypeConverter`
  `createTypeConverter(String className)`
  Creates `TypeConverter` from given class
  `void`
  `setObjectFactory(ObjectFactory objectFactory)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StrutsTypeConverterCreator

    public StrutsTypeConverterCreator()

- ## Method Details

  - ### setObjectFactory

    public void setObjectFactory(ObjectFactory objectFactory)

  - ### createTypeConverter

    public TypeConverter createTypeConverter(String className) throws Exception
    Description copied from interface: `TypeConverterCreator`
    Creates `TypeConverter` from given class
    Specified by:
      `createTypeConverter` in interface `TypeConverterCreator`
    Parameters:
      `className` - convert class
    Returns:
      instance of `TypeConverter`
    Throws:
      `Exception` - when cannot create/cast to `TypeConverter`

  - ### createTypeConverter

    public TypeConverter createTypeConverter(Class<?> clazz) throws Exception
    Description copied from interface: `TypeConverterCreator`
    Creates `TypeConverter` from given class
    Specified by:
      `createTypeConverter` in interface `TypeConverterCreator`
    Parameters:
      `clazz` - convert class
    Returns:
      instance of `TypeConverter`
    Throws:
      `Exception` - when cannot create/cast to `TypeConverter`